Package org.wso2.carbon.event.client.broker

## Class BrokerClient

- java.lang.Object
- - org.wso2.carbon.event.client.broker.BrokerClient

-     @Deprecated
      public class BrokerClient
      extends Object

  Deprecated.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `WSE_EN_IDENTIFIER` | Deprecated.
    `static String` | `WSE_EVENTING_NS` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BrokerClient​(String brokerUrl)` | Deprecated.
    `BrokerClient​(String brokerUrl, String cookie)` | Deprecated.
    `BrokerClient​(String brokerUrl, String userName, String password)` | Deprecated.
    `BrokerClient​(org.apache.axis2.context.ConfigurationContext configurationContext, String brokerUrl, String cookie)` | Deprecated.
    `BrokerClient​(org.apache.axis2.context.ConfigurationContext configurationContext, String brokerUrl, String userName, String password)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.wso2.carbon.event.client.stub.generated.SubscriptionDetails[]` | `getAllSubscriptions()` | Deprecated.
    `org.wso2.carbon.event.client.stub.generated.GetSubscriptionsResponse` | `getAllSubscriptions​(int maxRequestCount, String resultFilter, int firstIndex)` | Deprecated.
    `void` | `publish​(String topic, String messageContent)` | Deprecated. Publishes a message to a topic.
    `void` | `publish​(String topic, org.apache.axiom.om.OMElement element)` | Deprecated.
    `void` | `renewSubscription​(String subscriptionID, long time)` | Deprecated.
    `String` | `subscribe​(String topic, String eventSinkUrl)` | Deprecated.
    `String` | `subscribe​(String topic, String eventSinkUrl, long expirationTime, org.apache.axiom.om.OMElement[] extensions)` | Deprecated.
    `void` | `unsubscribe​(String subscriptionID)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WSE_EVENTING_NS

          public static final String WSE_EVENTING_NS

      Deprecated.
      See Also:
        Constant Field Values

    - #### WSE_EN_IDENTIFIER

          public static final String WSE_EN_IDENTIFIER

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BrokerClient

          public BrokerClient​(String brokerUrl,
                              String userName,
                              String password)
                       throws org.apache.axis2.AxisFault,
                              org.wso2.carbon.event.client.stub.generated.authentication.AuthenticationExceptionException

      Deprecated.
      Throws:
        `org.apache.axis2.AxisFault`
        `org.wso2.carbon.event.client.stub.generated.authentication.AuthenticationExceptionException`

    - #### BrokerClient

          public BrokerClient​(org.apache.axis2.context.ConfigurationContext configurationContext,
                              String brokerUrl,
                              String userName,
                              String password)
                       throws org.apache.axis2.AxisFault,
                              org.wso2.carbon.event.client.stub.generated.authentication.AuthenticationExceptionException

      Deprecated.
      Throws:
        `org.apache.axis2.AxisFault`
        `org.wso2.carbon.event.client.stub.generated.authentication.AuthenticationExceptionException`

    - #### BrokerClient

          public BrokerClient​(org.apache.axis2.context.ConfigurationContext configurationContext,
                              String brokerUrl,
                              String cookie)

      Deprecated.

    - #### BrokerClient

          public BrokerClient​(String brokerUrl,
                              String cookie)

      Deprecated.

    - #### BrokerClient

          public BrokerClient​(String brokerUrl)

      Deprecated.

  - ### Method Detail

    - #### subscribe

          public String subscribe​(String topic,
                                  String eventSinkUrl)
                           throws BrokerClientException

      Deprecated.
      Throws:
        `BrokerClientException`

    - #### subscribe

          public String subscribe​(String topic,
                                  String eventSinkUrl,
                                  long expirationTime,
                                  org.apache.axiom.om.OMElement[] extensions)
                           throws BrokerClientException

      Deprecated.
      Throws:
        `BrokerClientException`

    - #### publish

          public void publish​(String topic,
                              org.apache.axiom.om.OMElement element)
                       throws org.apache.axis2.AxisFault

      Deprecated.
      Throws:
        `org.apache.axis2.AxisFault`

    - #### publish

          public void publish​(String topic,
                              String messageContent)
                       throws BrokerClientException

      Deprecated.
      Publishes a message to a topic. The message should be XML structured.
      Parameters:
        `topic` - The name of the topic which the message should be published.
        `messageContent` - The message content.
      Throws:
        `BrokerClientException`

    - #### unsubscribe

          public void unsubscribe​(String subscriptionID)
                           throws RemoteException

      Deprecated.
      Throws:
        `RemoteException`

    - #### getAllSubscriptions

          public org.wso2.carbon.event.client.stub.generated.GetSubscriptionsResponse getAllSubscriptions​(int maxRequestCount,
                                                                                                          String resultFilter,
                                                                                                          int firstIndex)
                                                                                                   throws RemoteException

      Deprecated.
      Throws:
        `RemoteException`

    - #### getAllSubscriptions

          public org.wso2.carbon.event.client.stub.generated.SubscriptionDetails[] getAllSubscriptions()
                                                                                                throws RemoteException

      Deprecated.
      Throws:
        `RemoteException`

    - #### renewSubscription

          public void renewSubscription​(String subscriptionID,
                                        long time)
                                 throws RemoteException

      Deprecated.
      Throws:
        `RemoteException`